Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client.security
Class SecurityListener

    java.lang.Object
      org.mortbay.jetty.client.HttpEventListenerWrapper
          org.mortbay.jetty.client.security.SecurityListener

All Implemented Interfaces:
  HttpEventListener

    public class SecurityListener

extends HttpEventListenerWrapper

SecurityListener Allow for insertion of security dialog when performing an HttpExchange.

Constructor Summary
`SecurityListener(HttpDestination destination, HttpExchange ex)`

Method Summary
`void` | `onRequestComplete()`
`void` | `onResponseComplete()`
`void` | `onResponseHeader(Buffer name, Buffer value)`
`void` | `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` | `onRetry()`
`protected java.util.Map<java.lang.String,java.lang.String>` | `scrapeAuthenticationDetails(java.lang.String authString)` scrapes a set of authentication details from the authString
`protected java.lang.String` | `scrapeAuthenticationType(java.lang.String authString)` scrapes an authentication type from the authString

Methods inherited from class org.mortbay.jetty.client.HttpEventListenerWrapper
`getEventListener, isDelegatingRequests, isDelegatingResponses, onConnectionFailed, onException, onExpire, onRequestCommitted, onResponseContent, onResponseHeaderComplete, setDelegatingRequests, setDelegatingResponses, setDelegationResult, setEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityListener

    public SecurityListener(HttpDestination destination,
                            HttpExchange ex)

Method Detail

### scrapeAuthenticationType

    protected java.lang.String scrapeAuthenticationType(java.lang.String authString)

  scrapes an authentication type from the authString

  Parameters:
    `authString` -
  Returns:

### scrapeAuthenticationDetails

    protected java.util.Map<java.lang.String,java.lang.String> scrapeAuthenticationDetails(java.lang.String authString)

  scrapes a set of authentication details from the authString

  Parameters:
    `authString` -
  Returns:

### onResponseStatus

    public void onResponseStatus(Buffer version,
                                 int status,
                                 Buffer reason)
                          throws java.io.IOException

  Specified by:
    `onResponseStatus` in interface `HttpEventListener`
  Overrides:
    `onResponseStatus` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onResponseHeader

    public void onResponseHeader(Buffer name,
                                 Buffer value)
                          throws java.io.IOException

  Specified by:
    `onResponseHeader` in interface `HttpEventListener`
  Overrides:
    `onResponseHeader` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onRequestComplete

    public void onRequestComplete()
                           throws java.io.IOException

  Specified by:
    `onRequestComplete` in interface `HttpEventListener`
  Overrides:
    `onRequestComplete` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onResponseComplete

    public void onResponseComplete()
                            throws java.io.IOException

  Specified by:
    `onResponseComplete` in interface `HttpEventListener`
  Overrides:
    `onResponseComplete` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onRetry

    public void onRetry()

  Specified by:
    `onRetry` in interface `HttpEventListener`
  Overrides:
    `onRetry` in class `HttpEventListenerWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.